/*
 * skillchains-windows.js
 *
 * Copyright (c) 2004 by Daniel Potter.  All rights reserved.
 *
 * This file is part of the FFXI Skillchains Tool.
 *
 * The FFXI Skillchains Tool is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * The FFXI Skillchains Tool is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the FFXI Skillchains Tool; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 *
 * Handles displaying of the various windows.
 */

function extension_showSkillchainsTool() {
    var win = window.open("chrome://skillchains/content/skillchains.xul", "extension_skillchains", "chrome, resizable=yes");
    if (win) {
	win.focus();
    }
}

/*
 * Pops up the database of skillchains for individual weapons.
 */
function extension_showSkillchainsDatabase() {
    var win = window.open("chrome://skillchains/content/skillchains-database.xul", "extension_skillchains_database", "chrome, resizable=yes");
    if (win) {
	win.focus();
    }
}

function extension_showSkillchainsAbout() {
    var win = window.open("chrome://skillchains/content/about.xul", "extension_skillchains_about", "chrome");
    if (win) {
	win.focus();
    }
}

function extension_showSkillchainsOptions() {
    var win = window.openDialog("chrome://skillchains/content/skillchains-options.xul", "extension_skillchains_options", "chrome");
    if (win) {
	win.focus();
    }
}